DEF VAR iTelPOL AS INT NO-UNDO.
DEF VAR iTelPOD AS INT NO-UNDO.

FOR EACH ca-u_shipment WHERE 
         ca-u_shipment.companycode = "EUC" 
     AND ca-u_shipment.bookingagentnr <> 0 NO-LOCK:
    
  FIND FIRST ca-u_shipment_agents WHERE
             ca-u_shipment_agents.companycode     = ca-u_shipment.companycode
         AND ca-u_shipment_agents.shipment_seqnr  = ca-u_shipment.shipment_seqnr 
         AND ca-u_shipment_agents.agent_addressnr = ca-u_shipment.bookingagentnr NO-LOCK NO-ERROR.

  IF NOT AVAILABLE ca-u_shipment_agents
  THEN DO:
    CREATE ca-u_shipment_agents.
    ASSIGN ca-u_shipment_agents.companycode     = ca-u_shipment.companycode
           ca-u_shipment_agents.shipment_seqnr  = ca-u_shipment.shipment_seqnr
           ca-u_shipment_agents.agent_addressnr = ca-u_shipment.bookingagentnr
           ca-u_shipment_agents.des             = "POL"
           iTelPOL = iTelPOL + 1.
  END.
END.

FOR EACH ca-u_shipment_address WHERE 
         ca-u_shipment_address.companycode = "EUC" 
     AND ca-u_shipment_address.qualifier   = "AGENT POD"
     AND ca-u_shipment_address.addressnr  <> 0 NO-LOCK:
    
  FIND FIRST ca-u_shipment_agents WHERE
             ca-u_shipment_agents.companycode     = ca-u_shipment_address.companycode
         AND ca-u_shipment_agents.shipment_seqnr  = ca-u_shipment_address.shipment_seqnr
         AND ca-u_shipment_agents.agent_addressnr = ca-u_shipment_address.addressnr NO-LOCK NO-ERROR.

  IF NOT AVAILABLE ca-u_shipment_agents
  THEN DO:
    CREATE ca-u_shipment_agents.
    ASSIGN ca-u_shipment_agents.companycode     = ca-u_shipment_address.companycode
           ca-u_shipment_agents.shipment_seqnr  = ca-u_shipment_address.shipment_seqnr
           ca-u_shipment_agents.agent_addressnr = ca-u_shipment_address.addressnr
           ca-u_shipment_agents.des             = "POD"
           iTelPOD = iTelPOD + 1.
  END.
END.

MESSAGE iTelPOL "POL Records created!" SKIP
        iTelPOD "POD Records created!".
